Change log for libmodule-build-perl package in Ubuntu

133 of 33 results
Published in eoan-release on 2019-04-18
Published in disco-release on 2018-10-30
Published in cosmic-release on 2018-05-01
Published in bionic-release on 2017-10-24
Published in artful-release on 2017-06-20
Deleted in artful-proposed (Reason: moved to release)
libmodule-build-perl (0.422400-1) unstable; urgency=medium

  * Add debian/gbp.conf to tell gbp import-orig to merge the upstream
    branch instead of replacing it, which is the new default. This is
    needed as we use git-debcherry in this package.

  * Import upstream version 0.422400.
  * Update years of packaging copyright.
  * Update patches with git-debcherry.
    - Remove 0003-Make-Module-Build-set-PERL_UNSAFE_INC.patch (fixed upstream)
    - Refresh patch man-ext (offset)
  * Declare compliance with Debian Policy 4.0.0.

 -- gregor herrmann <email address hidden>  Mon, 19 Jun 2017 19:25:18 +0200

Available diffs

Superseded in artful-release on 2017-06-20
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed on 2018-06-22 (Reason: moved to release)
libmodule-build-perl (0.422000-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Remove Antonio Radici from Uploaders. Thanks for your work!
  * Remove Jay Bonci from Uploaders. Thanks for your work!
  * Remove Jonathan Yu from Uploaders. Thanks for your work!
  * Remove Ryan Niebur from Uploaders. Thanks for your work!

  [ Florian Schlichting ]
  * Import upstream version 0.422000
  * Refresh patches (run-debcherry)
  * Update copyright years

 -- Florian Schlichting <email address hidden>  Tue, 11 Oct 2016 21:43:50 +0200

Available diffs

Superseded in zesty-release on 2016-11-08
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-01-23 (Reason: moved to release)
libmodule-build-perl (0.421800-2) unstable; urgency=medium

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ Niko Tyni ]
  * Make Module::Build set PERL_UNSAFE_INC.
    Cf. CVE-2016-1238.

  [ gregor herrmann ]
  * debian/upstream/metadata: add Bug-Database.

 -- gregor herrmann <email address hidden>  Mon, 25 Jul 2016 21:00:41 +0200

Available diffs

Superseded in yakkety-release on 2016-07-27
Deleted in yakkety-proposed on 2016-07-28 (Reason: moved to release)
libmodule-build-perl (0.421800-1) unstable; urgency=medium

  * Import upstream version 0.421800.
  * Drop all old alternative (build) dependencies where perl-core in
    oldstable has new enough versions.
  * Declare compliance with Debian Policy 3.9.8.

 -- gregor herrmann <email address hidden>  Fri, 29 Apr 2016 16:55:28 +0200

Available diffs

Superseded in yakkety-release on 2016-04-30
Published in xenial-release on 2016-04-07
Superseded in xenial-release on 2016-04-07
Deleted in xenial-proposed (Reason: moved to release)
libmodule-build-perl (0.421600-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * Import upstream version 0.421600.
  * Refresh patches with git-debcherry (offset).
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 3.9.7.
  * Change order of alternative (build) dependencies.
  * Add (build) dependency on TAP::Harness 3.29.
  * Bump debhelper compatibility level to 9.

 -- gregor herrmann <email address hidden>  Tue, 02 Feb 2016 20:08:28 +0100

Available diffs

Superseded in xenial-release on 2016-02-03
Deleted in xenial-proposed on 2016-02-04 (Reason: moved to release)
libmodule-build-perl (0.421400-3) unstable; urgency=medium

  * Refine the rscan_dir() result sorting to ensure that regular files
    get listed before directories. (Closes: #798882)

 -- Niko Tyni <email address hidden>  Mon, 14 Sep 2015 21:32:03 +0300

Available diffs

Superseded in xenial-release on 2015-10-25
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
libmodule-build-perl (0.421400-1) unstable; urgency=medium

  * Import upstream version 0.421400.
  * Drop output-data-in-stable-order.patch, merged upstream.

 -- gregor herrmann <email address hidden>  Tue, 07 Jul 2015 18:41:08 +0200

Available diffs

Superseded in wily-release on 2015-07-08
Deleted in wily-proposed on 2015-07-09 (Reason: moved to release)
libmodule-build-perl (0.421100-2) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Add a patch to output data in stable order to make builds reproducible.
   (Closes: #774869)

  [ Dominique Dumont ]
  * control: added dod to uploaders
  * control: removed obsolete packages from dependencies
  * control: refreshed with cme

 -- Dominique Dumont <email address hidden>  Wed, 20 May 2015 14:40:05 +0200

Available diffs

Superseded in wily-release on 2015-05-20
Deleted in wily-proposed on 2015-05-21 (Reason: moved to release)
libmodule-build-perl (0.421100-1) unstable; urgency=medium

  * Import upstream version 0.421100.
    Splits out inc::latest to a separate CPAN distribution.
  * Update years of packaging copyright.
    Remove stanza about dropped files.
  * Declare compliance with Debian Policy 3.9.6.

 -- gregor herrmann <email address hidden>  Sat, 02 May 2015 15:34:59 +0200

Available diffs

Superseded in wily-release on 2015-05-06
Obsolete in vivid-release on 2018-01-18
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2018-01-19 (Reason: moved to release)
libmodule-build-perl (0.421000-2) unstable; urgency=medium


  [ gregor herrmann ]
  * Drop debian/tests/control, add Testsuite field to debian/control instead.

  [ Niko Tyni ]
  * Slightly patch the test suite for autopkgtest support.

 -- Niko Tyni <email address hidden>  Fri, 19 Sep 2014 12:02:11 +0300

Available diffs

Superseded in utopic-release on 2014-09-29
Deleted in utopic-proposed on 2014-09-30 (Reason: moved to release)
libmodule-build-perl (0.421000-1) unstable; urgency=medium


  * Add debian/upstream/metadata
  * Imported upstream version 0.421000
  * Add autopkgtest control file.
  * Update (build) dependencies.

 -- gregor herrmann <email address hidden>  Mon, 08 Sep 2014 19:22:50 +0200

Available diffs

Superseded in utopic-release on 2014-09-11
Deleted in utopic-proposed on 2014-09-12 (Reason: moved to release)
libmodule-build-perl (0.420600-1) unstable; urgency=medium


  * New upstream release.
  * Strip trailing slash from metacpan URLs.
  * Add alternative for Module::Metadata (build) dependency.

 -- gregor herrmann <email address hidden>  Sat, 19 Jul 2014 23:08:27 +0200

Available diffs

Superseded in utopic-release on 2014-07-20
Deleted in utopic-proposed on 2014-07-21 (Reason: moved to release)
libmodule-build-perl (0.420500-1) unstable; urgency=medium


  * debian/control: remove Nicholas Bamber from Uploaders on request of
    the MIA team.
  * New upstream release.
  * Update (build) dependencies.

 -- gregor herrmann <email address hidden>  Sun, 23 Feb 2014 18:05:28 +0100

Available diffs

Superseded in utopic-release on 2014-04-26
Published in trusty-release on 2014-01-14
Deleted in trusty-proposed (Reason: moved to release)
libmodule-build-perl (0.420400-1) unstable; urgency=medium


  * New upstream release.
  * Update years of packaging copyright.

 -- gregor herrmann <email address hidden>  Tue, 14 Jan 2014 18:45:36 +0100

Available diffs

Superseded in trusty-release on 2014-01-14
Deleted in trusty-proposed on 2014-01-16 (Reason: moved to release)
libmodule-build-perl (0.420300-1) unstable; urgency=medium


  * New upstream release.

 -- gregor herrmann <email address hidden>  Sun, 15 Dec 2013 18:24:53 +0100

Available diffs

Superseded in trusty-release on 2013-12-15
Deleted in trusty-proposed on 2013-12-17 (Reason: moved to release)
libmodule-build-perl (0.420200-1) unstable; urgency=low


  * New upstream release.
  * Refresh patch man-ext (offset).

 -- gregor herrmann <email address hidden>  Sun, 24 Nov 2013 18:16:07 +0100

Available diffs

Superseded in trusty-release on 2013-11-24
Deleted in trusty-proposed on 2013-11-26 (Reason: moved to release)
libmodule-build-perl (0.400800-1) unstable; urgency=low


  * New upstream release.
  * Refresh patch man-ext (offset).
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 3.9.5.

 -- gregor herrmann <email address hidden>  Wed, 06 Nov 2013 19:49:34 +0100

Available diffs

Superseded in trusty-release on 2013-11-06
Deleted in trusty-proposed on 2013-11-08 (Reason: moved to release)
libmodule-build-perl (0.400700-1) unstable; urgency=low


  * Import Upstream version 0.400700.
  * Refresh man-ext patch: code moved.

 -- Florian Schlichting <email address hidden>  Thu, 08 Aug 2013 17:53:01 +0200

Available diffs

Superseded in trusty-release on 2013-10-21
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to release)
libmodule-build-perl (0.400500-1) unstable; urgency=low


  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ Florian Schlichting ]
  * Imported Upstream version 0.400500
  * Bumped Standards-Version to 3.9.4 (no other changes)
  * Bumped dh compatibility to level 8 (no other changes)
  * Removed version from libextutils-cbuilder-perl, libextutils-parsexs-perl
    dependencies (no older version in the archive)
  * Refreshed man-ext patch (offset)
  * Added myself to Uploaders and d/copyright

 -- Florian Schlichting <email address hidden>  Mon, 13 May 2013 23:02:00 +0200

Available diffs

Superseded in saucy-release on 2013-05-14
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
libmodule-build-perl (0.400100-2) unstable; urgency=low


  * Divert config_data manpage in preinst/postrm. Thanks to Niko Tyni for
    the bug report. (Closes: #667053)

 -- gregor herrmann <email address hidden>  Wed, 27 Jun 2012 19:23:14 +0200

Available diffs

Superseded in quantal-release on 2012-06-29
libmodule-build-perl (0.400000-1) unstable; urgency=low


  * New upstream release
  * Reviewed patches
  * Raised standards version to 3.9.3 and updated copyright
  * Removed versioning on libcpan-meta-yaml-perl dependency

 -- Nicholas Bamber <email address hidden>  Sat, 25 Feb 2012 17:50:07 +0000
Superseded in quantal-release on 2012-05-01
Published in precise-release on 2012-01-03
libmodule-build-perl (0.380000-2) unstable; urgency=low

  [ gregor herrmann ]
  * Switch order of alternative (build) dependencies after the perl 5.12
    upload.

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * debian/copyright: Replace DEP5 Format-Specification URL from
    svn.debian.org to anonscm.debian.org URL.

  [ gregor herrmann ]
  * Swap order of alternative (build) dependencies after the perl 5.14
    transition.
    Closes: #652774
  * Update packaging copyright.
  * Bump Standards-Version to 3.9.2 (no changes).
  * Add perl as an alternative to libcpan-meta-perl.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  03 Jan 2012 02:33:46 +0000

Available diffs

Superseded in precise-release on 2012-01-03
Obsolete in oneiric-release on 2015-04-24
libmodule-build-perl (0.380000-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
  * Email change: Ryan Niebur -> <email address hidden>
  * Refresh copyright information
  * Reverse alternate dependency order for core modules so that
    it will actually build with sbuild's internal resolver

  [ gregor herrmann ]
  * Refresh patch man-ext (offset).

Available diffs

Superseded in oneiric-release on 2011-04-30
Obsolete in natty-release on 2013-06-04
Superseded in natty-release on 2010-11-13
Obsolete in maverick-release on 2013-03-05
libmodule-build-perl (0.360700-1) unstable; urgency=low

  * New upstream release.
  * Convert to source format 3.0 (quilt). Remove quilt framework.
  * Refresh patch man-ext.
  * Set Standards-Version to 3.8.4 (no changes).
 -- Ubuntu Archive Auto-Sync <email address hidden>   Sun,  09 May 2010 13:55:05 +0100

Available diffs

Superseded in maverick-release on 2010-05-09
Obsolete in lucid-release on 2016-10-26
libmodule-build-perl (0.360300-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
  * Rewrite NEWS entry so as not to use asterisks
  * Update copyright to DEP5 format
  * Update Ryan52's email address
  * Add a patch to fix POD typos

  [ gregor herrmann ]
  * Update years of upstream coypright.
  * Lower required debhelper version, the override in debian/rules is long
    gone.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  01 Feb 2010 23:59:11 +0000

Available diffs

Superseded in lucid-release on 2010-02-02
libmodule-build-perl (0.360100-1) unstable; urgency=low

  * New upstream release
  * Add NEWS file documenting major changes
  * Update dependencies and recommends
  * Refresh man-ext patch to unified format
  * Update copyright information
  * Removed Archive::Tar from deps, it's no longer needed based
    on tests and META.yml
  * Archive::Zip is a recommended dependency now
 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  05 Jan 2010 00:31:35 +0000

Available diffs

Superseded in lucid-release on 2010-01-05
libmodule-build-perl (0.350000-2) unstable; urgency=low

  [ Ryan Niebur ]
  * Update ryan52's email address

  [ gregor herrmann ]
  * Install contrib scripts as examples, thanks to Jari Aalto for the bug
    report (closes: #550286).
  * Refresh patch.
  * Slightly tweak short description.

Available diffs

Superseded in lucid-release on 2009-11-05
Obsolete in karmic-release on 2013-03-04
libmodule-build-perl (0.3300-1) unstable; urgency=low

  [ Antonio Radici ]
  * New upstream release
  * debian/control:
    + Adding me to the Uploaders
    + debhelper >= 7
  * debian/compat bumped to 7 by dh-make-perl --refresh --dh 7
  * debian/patches/
    + streamlined version of the patch headers
    + man-ext refreshed to match the new source code
    + man-back-4.patch renamed to man-cookbook and it also includes another pod
      fix
  * debian/copyright:
    + updated to the new format
    + clarified the debian/ copyright

  [ gregor herrmann ]
  * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
    (source stanza).
  * debian/control: Added: ${misc:Depends} to Depends: field.

  [ Ryan Niebur ]
  * New upstream release
  * Add myself to Uploaders
  * Debian Policy 3.8.1
  * move config_data from /usr/bin/ to /usr/share/libmodule-build-perl/
  * remove .packlist files

  [ gregor herrmann ]
  * debian/copyright: update years of upstream copyright by combining several
    informations from the source.
  * debian/control: change my email address.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Sat,  09 May 2009 22:58:51 +0100

Available diffs

Superseded in karmic-release on 2009-05-09
Obsolete in jaunty-release on 2013-02-28
libmodule-build-perl (0.3000-1) unstable; urgency=low

  [ gregor herrmann ]
  * Add debian/README.source to document quilt usage, as required by
    Debian Policy since 3.8.0.

  [ Damyan Ivanov ]
  * debian/watch: more upstream version mangling added to cope with x.yy-style
    version numbers
  * New upstream release (Closes: #501282)
    + includes support for building on GNU/Hurd (Closes: #480398) and
      GNU/kFreeBSD (Closes: #480399)
  * add libtest-harness-perl (>= 3.02) to B-D-I, enabling use_tap_harness test
    during build
  * copyright: drop t/bundled/Test/* entries as no longer shipped upstream
  * remove t/bundled in clean target; add libtie-cphash-perl to B-D-I instead
  * refresh man-ext.patch
  * add man-back-4.patch fixing a POD error ('=back' does not accept any
    parameters)
  * now conforms to Policy 3.8.0

 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  04 Nov 2008 21:32:29 +0000

Available diffs

Superseded in jaunty-release on 2008-11-05
Obsolete in intrepid-release on 2013-02-20
Superseded in intrepid-release on 2008-08-01
libmodule-build-perl (0.2808.01-2) unstable; urgency=low

  [ Martín Ferrari ]
  * Add by-author URL to watch file to track development releases.

  [ gregor herrmann ]
  * Unset HOME for test suite in debian/rules (closes: #467596).

Superseded in intrepid-release on 2008-05-03
Obsolete in hardy-release on 2015-04-24
libmodule-build-perl (0.2808-0.2) unstable; urgency=low

  * Yet another NMU, additional fixes to -0.1

  [ gregor herrmann ]
  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
    field (source stanza); Homepage field (source stanza). Removed: XS-
    Vcs-Svn fields.

  [ Damyan Ivanov ]
  * Fix incomplete applied patch for #441987 in -0.1
    Closes: #441987 again

Superseded in hardy-release on 2007-10-23
Obsolete in gutsy-release on 2011-09-16
Obsolete in feisty-release on 2009-08-20
Obsolete in edgy-release on 2008-06-19
Obsolete in dapper-release on 2011-09-06
Superseded in dapper-release on 2006-02-03
Obsolete in breezy-release on 2008-03-25
Obsolete in hoary-release on 2008-03-19
libmodule-build-perl (0.26-1) unstable; urgency=low


  * New upstream version

 -- Jay Bonci <email address hidden>  Wed, 27 Oct 2004 15:11:17 -0400
Obsolete in warty-release on 2008-01-09
libmodule-build-perl (0.25-1) unstable; urgency=low


  * New upstream version 

 -- Jay Bonci <email address hidden>  Tue,  1 Jun 2004 21:24:43 -0400
133 of 33 results